# Uses of Interface
org.apache.lucene.search.VectorScorer

Packages that use VectorScorer
Package
Description
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.util.quantization
Provides quantization methods for scaling vector values to smaller data types and possibly fewer dimensions

- ## Uses of VectorScorer in org.apache.lucene.codecs.lucene95

  Methods in org.apache.lucene.codecs.lucene95 that return VectorScorer
  Modifier and Type
  Method
  Description
  `VectorScorer`
  OffHeapByteVectorValues.DenseOffHeapVectorValues.`scorer(byte[] query)`
  `VectorScorer`
  OffHeapFloatVectorValues.DenseOffHeapVectorValues.`scorer(float[] query)`

- ## Uses of VectorScorer in org.apache.lucene.codecs.lucene99

  Methods in org.apache.lucene.codecs.lucene99 that return VectorScorer
  Modifier and Type
  Method
  Description
  `VectorScorer`
  OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues.`scorer(float[] target)`

- ## Uses of VectorScorer in org.apache.lucene.index

  Methods in org.apache.lucene.index that return VectorScorer
  Modifier and Type
  Method
  Description
  `VectorScorer`
  ByteVectorValues.`scorer(byte[] query)`
  Return a `VectorScorer` for the given query vector.
  `VectorScorer`
  FloatVectorValues.`scorer(float[] target)`
  Return a `VectorScorer` for the given query vector and the current `FloatVectorValues`.

- ## Uses of VectorScorer in org.apache.lucene.util.quantization

  Methods in org.apache.lucene.util.quantization that return VectorScorer
  Modifier and Type
  Method
  Description
  `VectorScorer`
  QuantizedByteVectorValues.`scorer(float[] query)`
  Return a `VectorScorer` for the given query vector.